curl --location 'https://api.myvocal.ai/sound_clone/api/v1/voices/tts' \
--header 'accessKey: xxx' \
--form 'files=@"xxx/xxx.mp3"' \
--form 'name="111"'
{
"code": 1,
"message": "Success",
"data": {
"id": "7812"
}
}
{
"code": -1,
"message": "error msg",
}
Voice API reference
Create a TTS voice
Clone a custom Text to Speech voice from your recordings. The voiceId is returned in the response.
POST
/
sound_clone
/
api
/
v1
/
voices
/
tts
curl --location 'https://api.myvocal.ai/sound_clone/api/v1/voices/tts' \
--header 'accessKey: xxx' \
--form 'files=@"xxx/xxx.mp3"' \
--form 'name="111"'
{
"code": 1,
"message": "Success",
"data": {
"id": "7812"
}
}
{
"code": -1,
"message": "error msg",
}
Voice cloning · Workflow: How to use voices
The interactive playground on this page cannot send file uploads. This is a limitation of the documentation playground, not of the API. Send the
multipart/form-data request to https://api.myvocal.ai/sound_clone/api/v1/voices/tts from your own code or an HTTP tool, as in the request example.Header
string
required
Your API key. See Authentication.
Body
string
required
Please do not exceed 32 characters in length.
Files
required
Please provide mp3/wav/m4a files. A single file cannot exceed 10MB, and up to 25 files can be uploaded.
Response
number
Indicates whether the call was successful. 1 if successful.
string
When an exception occurs, specific exception information will be provided in the message.
object
Includes specific data.
Show Toggle object
Show Toggle object
string
When you need to use TTS or other features, voiceId needs to be provided.
curl --location 'https://api.myvocal.ai/sound_clone/api/v1/voices/tts' \
--header 'accessKey: xxx' \
--form 'files=@"xxx/xxx.mp3"' \
--form 'name="111"'
{
"code": 1,
"message": "Success",
"data": {
"id": "7812"
}
}
{
"code": -1,
"message": "error msg",
}
